<?php 
require_once(__DIR__ . "/../../../sistemawin7/classes/Sistema.php");
set_sistema(Sistema::LEADS);
$sistema = new Sistema();
require_once(__DIR__ . "/php/config.php");
$tags = $sistema->contatos->obter_tags($id_cliente_tags);
?>
<!DOCTYPE html>
<html lang="pt-br">
<head>
<?php $sistema->contatos->montar_tag_manager_head($tags[0]); ?>
<meta charset="utf-8"/>
<title>Formulário</title>
<link rel="stylesheet" media="screen" href="css/styles.css" >
<script type="text/javascript" src="js/jquery-1.12.0.min.js"></script>
<script src="js/jquery.mask.js"></script>
<!-- DATEPICKER 
  <link rel="stylesheet" media="screen" href="datepicker/jquery-ui.min.css">
  <script type="text/javascript" src="datepicker/jquery-ui.min.js"></script>
-->
<script>
/* 
$(function() {
  $("#dtEvento").datepicker({
    dateFormat: 'dd/mm/yy',
    dayNames: ['Domingo','Segunda','Terça','Quarta','Quinta','Sexta','Sábado'],
    dayNamesMin: ['D','S','T','Q','Q','S','S','D'],
    dayNamesShort: ['Dom','Seg','Ter','Qua','Qui','Sex','Sáb','Dom'],
    monthNames: ['Janeiro','Fevereiro','Março','Abril','Maio','Junho','Julho','Agosto','Setembro','Outubro','Novembro','Dezembro'],
    monthNamesShort: ['Jan','Fev','Mar','Abr','Mai','Jun','Jul','Ago','Set','Out','Nov','Dez'],
    nextText: 'Próximo',
    prevText: 'Anterior',
    changeMonth: true,
    changeYear: true,
    // Se precisar mostrar as datas antes do dia de hoje, comente a linha abaixo e tire a vírgula no final da linha de cima.
    minDate: new Date()
  });
});
*/

/* Mascara para CPF, Telefone e Data */
var maskBehavior = function (val) {
  return val.replace(/\D/g, '').length === 11 ? '(00) 00000-0000' : '(00) 0000-00009';
},
options = {onKeyPress: function(val, e, field, options) {
        field.mask(maskBehavior.apply({}, arguments), options);
    }
};

$('#txtTel').mask(maskBehavior, options);
</script>
<script>
function validarEmail(){var x = document.forms["contact_form"]["email"].value;var atpos = x.indexOf("@");var dotpos = x.lastIndexOf(".");if (atpos < 1 || dotpos < atpos + 2 || dotpos + 2 >= x.length){alert("\""+x+"\" Não é um endereço de e-mail válido");document.contact_form.email.focus();desbloqueiaBotaoEnviar();return false;}return true;}

function bloqueiaBotaoEnviar() {
    document.getElementById("btnEnviar").disabled      = true;
    document.getElementById("btnEnviar").style.opacity = "0.5";
    document.getElementById("btnEnviar").style.cursor  = "not-allowed";
}
function desbloqueiaBotaoEnviar() {
    document.getElementById("btnEnviar").disabled      = false;
    document.getElementById("btnEnviar").style.opacity = "1";
    document.getElementById("btnEnviar").style.cursor  = "pointer";
    $("#btnEnviar").val("Enviar");
}

function enviarForm(){
    if(document.contact_form.nome.value == ""){
        alert("O Campo \"NOME\" é obrigatório!");
        document.contact_form.nome.focus();
        return false;
        desbloqueiaBotaoEnviar();
    }
    if(document.contact_form.telefone.value == ""){
        alert("O Campo \"TELEFONE\" é obrigatório!");
        document.contact_form.telefone.focus();
        return false;
        desbloqueiaBotaoEnviar();
    }
    if(document.contact_form.email.value == ""){
        alert("O Campo \"EMAIL\" é obrigatório!");
        document.contact_form.email.focus();
        return false;
        desbloqueiaBotaoEnviar();
    }/*
    if(document.contact_form.slqServico.value.length = "Não selecionou"){
        alert("O Campo \"SERVIÇO\" deve ser selecionado!");
        document.contact_form.slqServico.focus();
        return false;
        desbloqueiaBotaoEnviar();
    }*/
    if(document.contact_form.mensagem.value == ""){
        alert("O Campo \"MENSAGEM\" é obrigatório!");
        document.contact_form.mensagem.focus();
        return false;
        desbloqueiaBotaoEnviar();
    }

    /* Desabilita o botao submit ao clicar em enviar */
    bloqueiaBotaoEnviar();

    /* Troca o nome do botao para sinaliar que o form esta sendo enviado */
    $("#btnEnviar").val("Enviando...");

    /* Checa se o e-mail digitado e valido */
    if (validarEmail()){
        /* Se o e-mail estiver correto, envia o formulario */
        return true;
    }
    return false;
}
</script>
</head>
<body>
<?php $sistema->contatos->montar_tag_manager_body($tags[0]); ?>
<div class="boxForm">
    <form action="php/emailEXEMPLO.php" method="post" name="contact_form" class="contact_form" id="contact_form" enctype="multipart/form-data" onsubmit="return enviarForm()">
        <input type="text" name="nome" class="txtNome" placeholder="Nome:" title="Por favor, seu nome." required />
        <input type="email" name="email" class="txtEmail " placeholder="E-mail:" title="Por favor, seu email." required />
        <input type="tel" name="telefone" class="" id="txtTel" placeholder="Telefone:" title="Por favor, seu telefone." maxlength="15" required />
        <select name="slqServico" >
            <option value="Não selecionou" selected disabled>Serviço:</option>
            <option value="Serviço 1">Serviço 1</option>
            <option value="Serviço 2">Serviço 2</option>
            <option value="Serviço 3">Serviço 3</option>
            <option value="Outro">Outro</option>
        </select>
        <textarea name="mensagem" placeholder="Sua mensagem:"></textarea>
        <input class="submit" type="submit" id="btnEnviar" value="Enviar" >
    </form>
</div>
</body>
</html>