<?php
require_once(__DIR__ . "/../../../../sistemawin7/classes/Sistema.php");
set_sistema(Sistema::LEADS);
$sistema = new Sistema();
require_once(__DIR__ . "/config.php");

/** Assunto do e-mail  **/
$assunto = 'Novo e-mail do site: NomeDaEmpresa2ÁÇ - Anúncios Google/Agência Win7 - '.date('d/m/Y H:i:s');

/** NOME e EMAIL devem ser obrigatórios **/
$nome = $_POST['nome'];
$email = trim($_POST['email']);
$telefone = $_POST['telefone'];
$slqServico = $_POST['slqServico'];
$mensagem = $_POST['mensagem'];

/** Mensagem a ser enviada no corpo do e-mail. **/
$texto = '
<p style="color:#DC143C;"><i><b>ATENÇÃO:</b> Por favor, não responda esse e-mail!<br>
Esse e-mail é enviado e autenticado pelo nosso sistema automático, por isso, para responder ao cliente,<br>
clique no e-mail ou o copie e crie um novo e-mail que será enviado ao cliente.</i></p><hr><br>
<p><b>NOME:</b> '.$nome.'</p>
<p><b>E-MAIL:</b> '.$email.'</p>
<p><b>TELEFONE:</b> '.$telefone.'</p>
<p><b>SERVIÇO:</b> '.$slqServico.'</p>
<p><b>MENSAGEM:</b> '.$mensagem.'</p><br><hr/>
<p>Preenchido pelo '.$sistema->maquina_usuario.'</p><hr/>';

/**
    A variavel $camposExtras salva os campos extras no banco.
    Ex.: $camposExtras  = "Campo 1 |$| ".$slqServico." |$| Campo 2 |$| ".$slqServico2;
**/
$camposExtras  = " "; /* <- Espaço entre aspas significa Campo em branco */

/* SE O FORMULÁRIO DO CLIENTE TIVER UM SEGUNDO CAMPO DE TELEFONE, COLOCÁ-LO AQUI */
$telefone2 = "";

/** 
    EMAILS DA EMPRESA QUE RECEBE OS CONTATOS DO FORMULARIO 
**/

/** O Array abaixo deve conter os e-mails da EMPRESA que recebera os formularios **/
$destinatarios = array(
    //'desenvolvimento@grupolead.com.br' => 'NomeDaEmpresa2ÁÇ',
);

/** Os e-mails abaixo recebem uma copia oculta **/
$copiasOcultas = array(
    'desenvolvimento@grupolead.com.br' => 'Desenvolvimento',
    'alan@grupolead.com.br' => 'Alan',
    'janaina.oliveira@win7.com.br' => 'Janaína',
); 

/** 
    EMAIL DE CONFIRMACAO AOS LEADS 
**/

/*** Variaveis OBRIGATORIAS ***/
$enviarEmail = true; /* Indique se deseja enviar o e-mail */
$empresaAssunto = "Contato NomeDaEmpresa2ÁÇ"; /* Assunto do e-mail */
$empresaNome = "NomeDaEmpresa2ÁÇ"; /* Nome da empresa */
$empresaEmail = "nao-responda@win7.com.br"; /* Não Mudar */


/* Pega os e-mail dos destinatarios e formata para ser enviado na mensagem para o LEAD */
$counter = 0;
$total = count($destinatarios);
$emailsEmpresa = '';
foreach($destinatarios as $empEmail => $empNome){
    if ($counter > 0) {
        if($counter == $total - 1)
            $emailsEmpresa .= " ou " . $empEmail;
        else
            $emailsEmpresa .= ", " . $empEmail;
    }
    else{
        $emailsEmpresa = $empEmail;
    }
    $counter++;
}

/* Montando a mensagem a ser enviada no corpo do e-mail. */
$msgParaOsLeads = '
    <p>Obrigado <b>'.$nome.'</b>!</p>
    <p>Nós da <b>'.$empresaNome.'</b> agradecemos por sua solicitação e, logo mais, entraremos em contato com você!</p>';
if($total > 0) {
    $msgParaOsLeads .= '<p style="color:green;"><i>Este é um e-mail automático. Se desejar entrar em contato conosco, por favor, envie um e-mail para <b>'.$emailsEmpresa.'</b>.</i></p>';
} 

/** O Array abaixo deve conter os e-mails do LEAD que recebera os formularios **/
$leadDestinatario = array($email => $nome);

/** Os e-mails abaixo recebem uma copia oculta **/
$copiaOcultaMsgLeads = array( /*'desenvolvimento@grupolead.com.br' => 'Desenvolvimento Win7'*/);

/* NÃO MECHER NO CÓDIGO A PARTIR DAQUI!! */
$resultado = $sistema->contatos->processar_contato($id_cliente_leads, $nome, $email, $telefone, $telefone2, $mensagem, $camposExtras, $texto, $assunto, $destinatarios, $copiasOcultas, $msgParaOsLeads, $empresaAssunto, $leadDestinatario, $copiaOcultaMsgLeads, $empresaNome, $empresaEmail, __FILE__, $enviarEmail);

switch($resultado){
    case Sistema_Contatos::SUCESSO:
    case Sistema_Contatos::FALHOU_CONTATO_EXISTE:
        $sistema->redirecionar("../obg.php");
        break;
    case Sistema_Contatos::FALHOU_ENVIO_EMAIL_CLIENTE:
    case Sistema_Contatos::FALHOU_ENVIO_EMAIL_LEAD:
    case Sistema_Contatos::FALHOU_REGISTRO_CONTATO:
        $sistema->redirecionar("../erro.php");
        break;
}
?>